> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf-media/untitled/player-stats-per-round-per-tournament.md).

# Player Stats per round per tournament

## **Endpoint URLs**

[https://dde-api.imggaming.com/golf/player-stats/{tournamentID}/{playerID}](https://dde-api.imggaming.com/golf/player-stats/%7BtournamentID%7D/%7BplayerID%7D)

**URL Sample:**

<https://dde-api.imggaming.com/golf/player-stats/691/3832/>

### Required Headers

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

\*Authorization header includes a truncated Bearer token, contact IMG for your auth token if you do not have.

### Request Parameters

This endpoint currently takes no request parameters:

### Response Model

| Field Name   | Type   | Description                                                           |
| ------------ | ------ | --------------------------------------------------------------------- |
| playerId     | int    | The internal ID of the Player of the current event                    |
| roundNo      | int    | The current round of the tournament for this stat                     |
| rank         | int    | The rank of the player for this stat type vs peers in this tournament |
| stat\_name   | string | The description of the stat                                           |
| stat\_value  | double | The numeric value of the stat relative to the stat\_name              |
| tournamentId | int    | The internal ID of the tournament                                     |

### Sample Response

```
[
 {
    "_11": "2023-06-29T10:11:48.000Z",
    "commentType": "PostHole_TODAY",
    "excitement": 1.35,
    "externalPlayerId": "22405",
    "groupNo": "20",
    "holeNo": "1",
    "id": "686",
    "playerId": "467",
    "roundNo": "1",
    "shotTypeNext": "OTT",
    "strokeNo": "4",
    "teamId": "35",
    "text": " Rose made par. Rose is bogey-free through 10 holes. Rose is -4 and tied for the lead",
    "tier": 1,
    "tournamentName": "Betfred British Masters hosted by Sir Nick Faldo"
  }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/golf-media/untitled/player-stats-per-round-per-tournament.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
